Get Binding Action
Get binding action for given action resource type and external input type.
Get binding action for given action resource type and external input type.
Request
URI
GET
https://vcf-stls-wcp-pod13-137.lvn.broadcom.net/form-service/api/custom/resource-actions/binding-action
COPY
Query Parameters
string
resourceType
Required
The action resource type
string
externalType
Required
The external input type
Responses
200
'Success' with the BindingAction for the given resourceTYpe and externalType
Returns
BindingAction
of type(s)
*/*
{
"actionName": "string",
"actionInputs": [
{
"inputKey": "string",
"value": "string",
"type": {
"dataType": "string",
"referenceType": "string",
"fields": [
"ComplexTypeField Object"
],
"isMultiple": false
},
"bindingAction": "BindingAction Object"
}
]
}
403
'Forbidden' no resource action viewing rights
Operation doesn't return any data structure
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/form-service/api/custom/resource-actions/binding-action?resourceType=value&externalType=v
Resource Actions Operations
GET
List Actions
POST
Create Or Update Resource Action
POST
Generate Elements Runnable Item
POST
Get Resource Action Form Data
POST
Get External Value
POST
List External Values
POST
Lookup External Resources
GET
Get Resource Action
DELETE
Delete Resource Action
GET
Get Action Runnable Item
GET
Get Action Form
GET
Get Binding Action